---
title: Date.prototype.toDateString()
slug: Web/JavaScript/Reference/Global_Objects/Date/toDateString
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>toDateString()</code></strong> method returns the date portion of a {{jsxref("Date")}} object in English in the following format separated by spaces:</p>

<ol>
 <li>First three letters of the week day name</li>
 <li>First three letters of the month name</li>
 <li>Two digit day of the month, padded on the left a zero if necessary</li>
 <li>Four digit year (at least), padded on the left with zeros if necessary</li>
</ol>

<p>E.g. "Thu Jan 01 1970".</p>

<div>{{EmbedInteractiveExample("pages/js/date-todatestring.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.toDateString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the date portion of the given {{jsxref("Date")}} object in human readable form in English.</p>

<h2 id="Description">Description</h2>

<p>{{jsxref("Date")}} instances refer to a specific point in time. Calling {{jsxref("Date.prototype.toString()", "toString()")}} will return the date formatted in a human readable form in English. In <a href="/en-US/docs/Mozilla/Projects/SpiderMonkey">SpiderMonkey</a>, this consists of the date portion (day, month, and year) followed by the time portion (hours, minutes, seconds, and time zone). Sometimes it is desirable to obtain a string of the time portion; such a thing can be accomplished with the <code>toTimeString()</code> method.</p>

<p>The <code>toDateString()</code> method is especially useful because compliant engines implementing <a href="/en-US/docs/Web/JavaScript/Language_Resources">ECMA-262</a> may differ in the string obtained from {{jsxref("Date.prototype.toString()", "toString()")}} for {{jsxref("Date")}} objects, as the format is implementation-dependent and simple string slicing approaches may not produce consistent results across multiple engines.</p>

<h2 id="Examples">Examples</h2>

<h3 id="A_basic_usage_of_toDateString">A basic usage of toDateString()</h3>

<pre class="brush: js notranslate">var d = new Date(1993, 5, 28, 14, 39, 7);

console.log(d.toString());     // logs Mon Jun 28 1993 14:39:07 GMT-0600 (PDT)
console.log(d.toDateString()); // logs Mon Jun 28 1993
</pre>

<div class="note">
<p><strong>Note:</strong> Month are 0-indexed when used as an argument of {{jsxref("Date")}} (thus 0 corresponds to January and 11 to December).</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.todatestring', 'Date.prototype.toDateString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.Date.toDateString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.toLocaleDateString()")}}</li>
 <li>{{jsxref("Date.prototype.toTimeString()")}}</li>
 <li>{{jsxref("Date.prototype.toString()")}}</li>
</ul>
